# Uses of Class
org.eclipse.net4j.util.collection.Tree

Packages that use Tree
Package
Description
org.eclipse.net4j.util.collection
Additional collection-like interfaces and classes.
org.eclipse.net4j.util.container
A framework of notifying collections and wiring containers.
org.eclipse.net4j.util.factory
A framework for factory based instance creation.

## Uses of Tree in org.eclipse.net4j.util.collection

Fields in org.eclipse.net4j.util.collection declared as Tree
Modifier and Type
Field
Description
`static final Tree`
Tree.`EMPTY`
Methods in org.eclipse.net4j.util.collection that return Tree
Modifier and Type
Method
Description
`Tree`
Tree.Builder.`build()`
`Tree`
Tree.`child(int index)`
`Tree`
Tree.`child(String name)`
`static Tree`
Tree.XMLConverter.`convertDocumentToTree(Document document)`
`static Tree`
Tree.XMLConverter.`convertDocumentToTree(Document document, Map<String,String> parameters)`
`static Tree`
Tree.XMLConverter.`convertElementToTree(Element element)`
`static Tree`
Tree.XMLConverter.`convertElementToTree(Element element, Map<String,String> parameters)`
`Tree`
Tree.`parent()`
Methods in org.eclipse.net4j.util.collection that return types with arguments of type Tree
Modifier and Type
Method
Description
`List<Tree>`
Tree.`allChildren()`
`List<Tree>`
Tree.`allChildren(String name)`
`List<Tree>`
Tree.`children()`
`List<Tree>`
Tree.`children(String name)`
Methods in org.eclipse.net4j.util.collection with parameters of type Tree
Modifier and Type
Method
Description
`Tree.Builder`
Tree.Builder.`addChild(Tree child)`
`protected void`
Tree.XMLConverter.`appendElement(Tree tree, Element element, Element parentElement)`
`String`
Tree.Dumper.`apply(Tree tree, String indent)`
`Element`
Tree.XMLConverter.`apply(Tree tree, Element parentElement)`
`static Entity.Builder`
Entity.`builder(Tree tree)`
`static Tree.Builder`
Tree.`builder(Tree source)`
`int`
Tree.`compareTo(Tree o)`
`static Document`
Tree.XMLConverter.`convertTreeToDocument(Tree tree)`
`static Element`
Tree.XMLConverter.`convertTreeToElement(Tree tree)`
`protected Element`
Tree.XMLConverter.`createElement(Tree tree)`
`protected String`
Tree.XMLConverter.`getTagName(Tree tree)`
`int`
Tree.`indexOfChild(Tree child)`
`protected String`
Tree.Dumper.`nextLevelIndent(Tree tree, String indent)`
`protected void`
Tree.XMLConverter.`setAttribute(Tree tree, Element element, String name, String value)`
`static String`
Tree.Dumper.`toString(Tree tree)`
Method parameters in org.eclipse.net4j.util.collection with type arguments of type Tree
Modifier and Type
Method
Description
`void`
Tree.`allChildren(String name, Consumer<Tree> consumer)`
`void`
Tree.`allChildren(Consumer<Tree> consumer)`
`void`
Tree.`children(String name, Consumer<Tree> consumer)`
`void`
Tree.`children(Consumer<Tree> consumer)`
`<DATA> DATA`
Tree.`visit(BiFunction<Tree,DATA,DATA> visitor, DATA data)`

## Uses of Tree in org.eclipse.net4j.util.container

Methods in org.eclipse.net4j.util.container with parameters of type Tree
Modifier and Type
Method
Description
`<T> T`
IManagedContainer.`createElement(String productGroup, String factoryType, Tree config)`
`<T> T`
ManagedContainer.`createElement(String productGroup, String factoryType, Tree config)`
`<T> T`
IManagedContainer.`getElementOrNull(String productGroup, String factoryType, Tree config)`
`<T> T`
ManagedContainer.`getElementOrNull(String productGroup, String factoryType, Tree config)`

## Uses of Tree in org.eclipse.net4j.util.factory

Methods in org.eclipse.net4j.util.factory that return Tree
Modifier and Type
Method
Description
`Tree`
TreeFactory.`getTreeFor(Object product)`
`static Tree`
TreeFactory.`parseTree(String description)`
Methods in org.eclipse.net4j.util.factory with parameters of type Tree
Modifier and Type
Method
Description
`protected void`
AnnotationFactory.`configureProduct(PRODUCT product, Tree config)`
`protected final PRODUCT`
AnnotationFactory.`create(Tree config)`
`protected abstract Object`
TreeFactory.`create(Tree config)`
`static String`
TreeFactory.`createDescription(Tree tree)`
`protected Object`
AnnotationFactory.`createElement(String productGroup, String type, String descriptionAttribute, Tree elementConfig, boolean singleton)`
`protected PRODUCT`
AnnotationFactory.`createProduct(Tree config)`
`Object`
ITreeFactory.`createWithTree(Tree config)`
`final Object`
TreeFactory.`createWithTree(Tree config)`
`protected String`
AnnotationFactory.`getElementType(Tree elementConfig, String factoryTypeAttribute, String defaultFactoryType)`
Deprecated.
As of 3.29, use `AnnotationFactory.getElementType(Tree, String, String, String, String)`.
`protected String`
AnnotationFactory.`getElementType(Tree elementConfig, String factoryTypeAttribute, String defaultFactoryType, String factoryTypePrefix, String factoryTypeSuffix)`
`protected void`
AnnotationFactory.`injectAttribute(PRODUCT product, Tree config, Method method)`
`protected void`
AnnotationFactory.`injectElement(PRODUCT product, Tree config, Method method)`
`protected final ProductCreationException`
TreeFactory.`productCreationException(Tree config)`
`protected final ProductCreationException`
TreeFactory.`productCreationException(Tree config, Throwable cause)`